.animated-dropdown {
    .dropdown-menu {
        top: 100%!important;
        &.show {
            -webkit-animation-duration: .5s; 
            animation-duration: .5s; 
            -webkit-animation-fill-mode: both; 
            animation-fill-mode: both; 
            
            -webkit-animation-name: lightSpeedInRight; 
            animation-name: lightSpeedInRight; 
            -webkit-animation-timing-function: ease-out; 
            animation-timing-function: ease-out; 
        }
    }
}
/***************
* lightSpeedInRight *
****************/
@-webkit-keyframes lightSpeedInRight { 
   0% { -webkit-transform: translateX(100%) skewX(-30deg); opacity: 0; } 
    60% { -webkit-transform: translateX(-20%) skewX(30deg); opacity: 1; } 
    80% { -webkit-transform: translateX(0%) skewX(-15deg); opacity: 1; } 
    100% { -webkit-transform: translateX(0%) skewX(0deg); opacity: 1; } 
} 
@keyframes lightSpeedInRight { 
    0% { transform: translateX(100%) skewX(-30deg); opacity: 0; } 
    60% { transform: translateX(-20%) skewX(30deg); opacity: 1; } 
    80% { transform: translateX(0%) skewX(-15deg); opacity: 1; } 
    100% { transform: translateX(0%) skewX(0deg); opacity: 1; } 
} 